Bug 494338 - Remove the global state variables
Remove the global state variables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
:
Depends On: bl-journal-overhaul
Blocks: Fedora-beakerlib-1.9-3 1116317
  Show dependency treegraph
 
Reported: 2009-04-06 09:35 EDT by Petr Muller
Modified: 2016-09-19 22:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: beakerlib-1.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 02:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2009-04-06 09:35:03 EDT
Description of problem:

Move all the global state information to the journal. Global variables are teh debil, as rousseau said. What really sux, is that the current code won't probably survice the reboot. It also complicates stuff when it comes to possible use from non-bash.

I found global state in these areas:
infrastructure.sh@rlService*: __INTERNAL_SERVICE_STATE
infrastructure.sh@rlFile*:    __INTERNAL_BACKUP_DIR

maybe there are more. I just grepped __INTERNAL in hope everyone use this. I kinda suspect virtualX, but I haven't looked in it, because I'm afraid - it tried to eat my cursor last time I dared to open that file :)
Comment 2 Fedora End Of Life 2013-04-03 15:56:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Petr Muller 2013-07-16 14:44:59 EDT
New journal work includes a storage mechanism (file-based key-value put/get) and rlFile and rlService function groups were migrated to use it, so we do not use any global variables other than constants anymore.
Comment 4 Fedora Update System 2014-06-17 09:42:33 EDT
beakerlib-1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-1.fc20
Comment 5 Fedora Update System 2014-06-17 19:30:02 EDT
Package beakerlib-1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7442/beakerlib-1.9-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-07-02 04:02:16 EDT
beakerlib-1.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-2.fc20
Comment 7 Dalibor Pospíšil 2014-07-04 04:50:54 EDT
Please consider the package fixing this bug available in Fedora stable repos once bz1116308 is closed and RHEL stable repos once bz1116317 is closed.

Fixed in:
beakerlib-1.9-2.fc19
beakerlib-1.9-2.fc20
beakerlib-1.9-2.fc21
beakerlib-1.9-3.el5
beakerlib-1.9-2.el6
beakerlib-1.9-2.el7
Comment 8 Fedora Update System 2014-07-17 09:16:13 EDT
beakerlib-1.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-3.fc20
Comment 9 Fedora Update System 2014-07-30 02:57:50 EDT
beakerlib-1.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.